## fcitx5-chinese-addons 5.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(fcitx5-chinese-addons VERSION 5.1.11)

set(REQUIRED_FCITX_VERSION 5.1.13)
set(REQUIRED_LIBIME_VERSION 1.1.13)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard)
find_package(Fcitx5ModuleLuaAddonLoader)
find_package(Pthread REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")

#######################################################################
# Options
#######################################################################
option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
option(ENABLE_GUI "Enable Configure Gui" On)
option(ENABLE_BROWSER "Enable built-in browser." On)
option(ENABLE_CLOUDPINYIN "Build cloud pinyin addon" On)
option(ENABLE_DATA "Build data" On)

if (ENABLE_OPENCC)
    find_package(OpenCC 1.0.1 REQUIRED)
endif()

if (ENABLE_GUI)
    set(QT_MAJOR_VERSION 6)
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Concurrent)
    find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
    if (ENABLE_BROWSER)
        find_package(Qt${QT_MAJOR_VERSION}WebEngineWidgets REQUIRED)
    endif()
endif()

# We do not need json if OpenCC is not needed, but just try to find it anyway to save some ifelse logic
find_package(Boost 1.61 OPTIONAL_COMPONENTS json)
find_package(LibIMEPinyin ${REQUIRED_LIBIME_VERSION} REQUIRED)
find_package(LibIMETable ${REQUIRED_LIBIME_VERSION} REQUIRED)

if (ENABLE_CLOUDPINYIN)
    pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")
endif()

if (TARGET Boost::json)
    set(HAS_BOOST_JSON TRUE)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")
add_definitions(-DQT_NO_KEYWORDS)
fcitx5_add_i18n_definition()

add_subdirectory(modules)
add_subdirectory(im)
add_subdirectory(po)
add_subdirectory(tools)

if (ENABLE_GUI)
    add_subdirectory(gui)
endif()

add_subdirectory(icon)

if (ENABLE_TEST)
    find_package(Fcitx5ModuleTestFrontend REQUIRED)
    find_package(Fcitx5ModuleTestIM REQUIRED)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-chinese-addons (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 13:57:27 -0500

=== debian/control ===
Source: fcitx5-chinese-addons
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6.0),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-module-lua-dev,
 fcitx5-modules-dev (>= 5.1.14-4~),
 gettext,
 libboost-json-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfcitx5-qt6-dev,
 libfcitx5config-dev (>= 5.1.14-4~),
 libfcitx5core-dev (>= 5.1.14-4~),
 libfcitx5utils-dev (>= 5.1.14-4~),
 libime-bin (>= 1.1.13),
 libimecore-dev (>= 1.1.13),
 libimepinyin-dev (>= 1.1.13),
 libimetable-dev (>= 1.1.13),
 libopencc-dev (>= 1.1.9~),
 pkgconf,
 qt6-base-dev,
 qt6-webengine-dev [amd64 arm64 armhf i386 mips64el],
Standards-Version: 4.7.3
Homepage: https://github.com/fcitx/fcitx5-chinese-addons
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons
Description: Chinese-related addon for fcitx5
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.

Package: fcitx5-chinese-addons
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-chinese-addons-bin,
 fcitx5-pinyin,
 fcitx5-table,
 ${misc:Depends},
Recommends:
 fcitx5,
 fcitx5-module-lua,
Breaks:
 fcitx5-chinese-addons-data (<< ${binary:Version}),
Replaces:
 fcitx5-chinese-addons-data (<< ${binary:Version}),
Enhances:
 fcitx5,
Description: Chinese-related addon for fcitx5 (metapackage)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package is a metapackage, which depends on all addons provided by
 fcitx5-chinese-addons project. Users should consider installing it for
 best experience of Chinese integration with fcitx5.

Package: fcitx5-chinese-addons-bin
Architecture: any
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese-related addon for fcitx5 (binary tools)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides binary tools provided by fcitx5-chinese-addons.

Package: fcitx5-chinese-addons-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Conflicts:
 fcitx-data,
Description: Chinese-related addon for fcitx5 (shared data files)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides architecture-independent shared data files used by
 fcitx5-chinese-addons.

Package: fcitx5-module-chttrans
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (chttrans module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the chttrans module.

Package: fcitx5-module-cloudpinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (cloudpinyin module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the cloudpinyin module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-cloudpinyin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 cloudpinyin module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the cloudpinyin module
 of fcitx5.

Package: fcitx5-module-fullwidth
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (fullwidth module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the fullwidth module. It enhances the input
 experience of full-width characters.

Package: fcitx5-module-pinyinhelper
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-pinyin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (pinyinhelper module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the pinyinhelper module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-pinyinhelper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 pinyinhelper module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the pinyinhelper module
 of fcitx5.

Package: fcitx5-module-punctuation
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (punctuation module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the punctuation module. It provides the
 capability to easily input punctuations.

Package: fcitx5-module-punctuation-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for fcitx5 punctuation module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the punctuation module
 of fcitx5.

Package: fcitx5-pinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5,
 fcitx5-chinese-addons-data,
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-chttrans (= ${binary:Version}),
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 fcitx5-module-fullwidth (= ${binary:Version}),
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 fcitx5-module-quickphrase,
 fcitx5-modules,
 fcitx5-pinyin-gui,
Conflicts:
 fcitx-data,
Description: Fcitx Input Method Framework v5 (builtin pinyin support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the builtin pinyin input method. It provides
 the default pinyin input method for Chinese users. Its associated
 GUI tools can be found in the separate fcitx5-pinyin-gui package.

Package: fcitx5-pinyin-gui
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fcitx5-pinyin (= ${binary:Version}),
Breaks:
 fcitx5-pinyin (<< 5.1.0),
Replaces:
 fcitx5-pinyin (<< 5.1.0),
Description: Fcitx Input Method Framework v5 (builtin pinyin GUI tools)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the GUI tools for the builtin pinyin input method.
